package com.bocloud.cmp.provider.azure.ddos;

import com.bocloud.cmp.model.azure.ddos.DdosCustomPolicieModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DdosCustomPolicies
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/3/4 11:04
 */
public interface DdosCustomPolicieProvider extends SuperProvider {

    default BocloudResult create(DdosCustomPolicieModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(DdosCustomPolicieModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(DdosCustomPolicieModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(DdosCustomPolicieModel model) {
        return new BocloudResult(false, "need implement");
    }

}